$('.span-edit-hidden').hide();
$('.buttons-edit-container').hide();
function editar() {
    if($('.form-group input').prop( "disabled")){
        $('.form-group input,.form-group select, #textarea').prop( "disabled", false );
        $('.form-group .col-sm-10 textarea').prop( "disabled", false );
        $('.span-edit-hidden').show();
        $('.buttons-edit-container').show('slow');
        $('.span-edit-show').hide();
    }else {
        location.reload();
    }
}
$('#save-user').click(function(){
    var arr = [];
    $('.selected').each(function(){
        $input = $(this).find('input').val();
        arr.push($input);
    });
    
    $.ajax({     
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },                    
        url: $('#asignarUsuario').val(),
        method: 'POST',
        data:{
            "_token": $('#token').val(),
            "app_id": $('#app_name').val(),
            "users" : arr,
        },                      
        success: function(data)             
        {
            swal("Agregado correctamente!", {
              icon: "success",
            });    
            setTimeout(function(){
                location.reload()
            },2000);
        }
     });
});
// Eliminar aplicacion
function eliminarApp(url, url2) {
    swal({
        title: "Eliminar aplicacion?",
        text: "Al ejecutar esta accion no podra revertir los datos?",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
          swal("Apliacacion Eliminada!", {
            icon: "success",
          });
            $.ajax({                         
            url: url,                      
            success: function(data)             
            {
                setTimeout(function(){
                    location.assign(url2)
                },2000);
            }
         });
        }
      });
}

// Filtrar las aplicaciones en la tabla 
function filtrarAplicaciones(tipo) {
    var $filtroApp = $('#filtroApp');
    var url = $filtroApp.attr('url');
    if(tipo =='todas'){
        location.reload();
    }
    $.getJSON( url+'/'+tipo, function( data ) {
        var input = '';
        $('#myTable').html('');
        $.each( data, function( key, val ) {
            input += '<tr>';
                input += '<td>'+val.nombre+'</td>';
                input += '<td>'+val.codigo+'</td>';
                input += '<td>'+val.estado+'</td>';
                input += '<td>'+val.tipo+'</td>';
                input += '<td>'+val.descripcion+'</td>';
            input += '</tr>';
        });
        $('#myTable').append(input);
        $('#paginador').html('');
       
      });
}
// ===Eliminar un modulo de una aplicacion
function destroyModule(modulodestroy) {
    swal({
        title: "Eliminar Modulo?",
        text: "Al ejecutar esta accion no podra revertir los datos?",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
          swal("Modulo Eliminado!", {
            icon: "success",
          });    
            $.ajax({                         
            url: modulodestroy,                      
            success: function(data)             
            {
                setTimeout(function(){
                    location.reload();
                },2000);
            }
         });
        }
      });
  }
// ====Filtrar usuarios por role en agregar usuario
function filtrarUsuarios(userRole, app_id) {
    var $filtroUsuarios = $('#filtroUsuarios');
    var url = $filtroUsuarios.attr('url');
    $.getJSON( url+"/"+app_id+'/'+userRole, function( data ) {
        var input = '';
        $('#users-container').html('');
        $.each( data, function( key, val ) {
            input += '<div class="col-md-3 list-group-item list-group-item-action flex-column pointer user-select">';
                input += '<div class="w-100">';
                    input += '<h5 class="mb-1">'+val.name+' .'+val.surname.substring(0, 1);'</h5>';
                    input += '<small class="text-muted user-card">'+val.email+'</small>'
                    input += '<input class="envio" type="hidden" name="user" value="'+val.id+'">';
                input += '</div>';
            input += '</div>';
        });
        if(userRole == 'todos') {
            location.reload();
        }
        $('#users-container').append(input);
    });
    $('#paginador').html('');
}

// Agregar clase a un usuario al seleccionarlo para agregar a la aplicacion en agregar usuario

$(document).on("click",".user-select", function () {
    if($(this).hasClass('selected')){
        $(this).removeClass('selected');
        $(this).closest('div.pointer').css('background', 'white');
        $(this).closest('div.pointer').css('color', 'black');
        $(this).addClass('unselected');
    }else{
        $(this).removeClass('unselected');
        $(this).closest('div.pointer').css('background', '#0c5460');
        $(this).closest('div.pointer').css('color', 'white');
        $(this).addClass('selected');
    }
});
function EliminarUsuarioApp(url) {
  swal({
    title: "Eliminar usuario de esta app?",
    text: "Esta seguro de eliminar este usuario",
    icon: "warning",
    buttons: true,
    dangerMode: true,
  })
  .then((willDelete) => {
    if (willDelete) {
      swal("Usuario eliminado de esta APP!", {
        icon: "success",
      });    
        $.ajax({                         
        url: url,                      
        success: function(data)             
        {
            setTimeout(function(){
                location.reload();
            },2000);
        }
     })
     .fail(function() {
      swal("No se pudo eliminar!", "", "error");
      
     });
    }
  });
}
function destroyAppUser(destroy) {
    console.log('destruido');
    swal({
      title: "Eliminar aplicacion a este usuario?",
      text: "Al ejecutar esta accion no podra revertir los datos?",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        swal("Aplicacion eliminarda del usuario!", {
          icon: "success",
        });    
          $.ajax({                         
          url: destroy,                      
          success: function(data)             
          {
              setTimeout(function(){
                location.reload();
              },2000);
          }
       });
      }
    });
  }